> For the complete documentation index, see [llms.txt](https://docs.mongoing.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mongoing.com/can-kao/yun-suan-fu/query-and-projection-operators/bitwise-query-operators.md).

# 按位查询运算符

> **注意**
>
> 有关特定运算符的详细信息，包括语法和示例，请单击特定运算符以转到其参考页。

| 名称                                                                                                | 描述                                          |
| ------------------------------------------------------------------------------------------------- | ------------------------------------------- |
| [`$bitsAllClear`](/can-kao/yun-suan-fu/query-and-projection-operators/bitwise-query-operators.md) | 匹配数字或二进制值，其中一组位的\_所有\_值均为`0`。               |
| [`$bitsAllSet`](/can-kao/yun-suan-fu/query-and-projection-operators/bitwise-query-operators.md)   | 匹配数字或二进制值，其中一组位的\_所有\_值均为`1`。               |
| [`$bitsAnyClear`](/can-kao/yun-suan-fu/query-and-projection-operators/bitwise-query-operators.md) | 匹配数值或二进制值，在这些数值或二进制值中，一组位的位置中\_任何\_位的值为`0`。 |
| [`$bitsAnySet`](/can-kao/yun-suan-fu/query-and-projection-operators/bitwise-query-operators.md)   | 匹配数值或二进制值，在这些数值或二进制值中，一组位的位置中\_任何\_位的值为`1`。 |

译者：李冠飞

校对：


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mongoing.com/can-kao/yun-suan-fu/query-and-projection-operators/bitwise-query-operators.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
